Skip to main content
POST
/
api
/
v2
/
ethereum
/
block
/
mev-timing
MEV Timing
curl --request POST \
  --url https://beaconcha.in/api/v2/ethereum/block/mev-timing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "block": {
    "view": "latest"
  },
  "chain": "mainnet"
}
'
import requests

url = "https://beaconcha.in/api/v2/ethereum/block/mev-timing"

payload = {
"block": { "view": "latest" },
"chain": "mainnet"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({block: {view: 'latest'}, chain: 'mainnet'})
};

fetch('https://beaconcha.in/api/v2/ethereum/block/mev-timing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "status": "timing_games",
    "winning_bid": {
      "value": "<string>",
      "slot_offset_ms": 123,
      "relays": [
        "<string>"
      ],
      "builder_pubkey": "<string>"
    },
    "first_better_bid": {
      "value": "<string>",
      "slot_offset_ms": 123,
      "status": "timing_games"
    },
    "best_later_bid": {
      "value": "<string>",
      "slot_offset_ms": 123,
      "status": "timing_games"
    },
    "missed_value": "<string>",
    "relay_count": 1,
    "bid_count": 1
  }
}
{
"error": "Bad request. Please check your input and try again."
}
{
"error": "Unauthorized. Please provide a valid API key."
}
{
"error": "endpoint not allowed for your subscription tier. upgrade your subscription at https://beaconcha.in/pricing."
}
{
"error": "The requested resource was not found."
}
{
"error": "method not allowed: GET. all public API endpoints use POST."
}
{
"error": "Rate limit exceeded. Please try again later."
}
{
"error": "internal server error. please try again later."
}
{
"error": "An unexpected error occurred."
}

Authorizations

Authorization
string
header
required

Authorization header with value: Bearer YOUR_TOKEN. Refer to the API Keys section to create your API key.

Body

application/json
block
Number · object
required

Specify a block using one of the following methods.

  • Block number
  • View: "latest" or "finalized"
chain
enum<string>
default:mainnet

The Ethereum chain to query.

Available options:
mainnet,
hoodi

Response

Successful response.

Response containing the MEV timing-game outcome for a single block.

data
object
required

Timing-game outcome for a single block.